org.apache.xmlgraphics.image.loader.cache

## Class ImageKey

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.cache.ImageKey

-     public class ImageKey
      extends java.lang.Object

  Key class for Image instances in the cache.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageKey(java.lang.String uri, ImageFlavor flavor)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageKey

          public ImageKey(java.lang.String uri,
                          ImageFlavor flavor)

      Main constructor.
      Parameters:
        `uri` - the original URI
        `flavor` - the image flavor

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.